Bug 246218

Summary: [exp-run] x11-toolkits/wxgtk30: Update to 3.0.5
Product: Ports & Packages Reporter: Loïc Bartoletti <lbartoletti>
Component: Individual Port(s)Assignee: Loïc Bartoletti <lbartoletti>
Status: Closed FIXED    
Severity: Affects Only Me CC: rhurlin
Priority: --- Flags: antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
wxgtk 3.0.5
lbartoletti: maintainer-approval+
wxgtk 3.0.5, fix p5-alien-wxWidgets, rebump grass7, hugin lbartoletti: maintainer-approval+

Description Loïc Bartoletti freebsd_committer 2020-05-05 10:13:04 UTC
Created attachment 214151 [details]
wxgtk 3.0.5

Hi there

I would like to ask for an exp-run to update x11-toolkits/wxgtk30 to the newest version.

Thanks,

Loïc
Comment 2 Loïc Bartoletti freebsd_committer 2020-05-08 16:42:56 UTC
Created attachment 214282 [details]
wxgtk 3.0.5, fix p5-alien-wxWidgets, rebump grass7, hugin

antoine@,

This is the new patch. Thanks.
Comment 3 Antoine Brodin freebsd_committer 2020-05-08 17:09:30 UTC
If you tested p5-Alien-wxWidgets yourself it should be fine
Comment 4 commit-hook freebsd_committer 2020-05-17 05:56:29 UTC
A commit references this bug:

Author: lbartoletti
Date: Sun May 17 05:55:29 UTC 2020
New revision: 535516
URL: https://svnweb.freebsd.org/changeset/ports/535516

Log:
  x11-toolkits/wxgtk30: Update to 3.0.5.1

  Changelog:
    - https://raw.githubusercontent.com/wxWidgets/wxWidgets/v3.0.5/docs/changes.txt

  PR:	 246218
  Approved by:	tcberner (mentor)
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D24808

Changes:
  head/astro/opencpn/Makefile
  head/audio/spek/Makefile
  head/audio/wxguitar/Makefile
  head/cad/basicdsp/Makefile
  head/cad/gspiceui/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/comms/congruity/Makefile
  head/comms/cwstudio/Makefile
  head/comms/freedv/Makefile
  head/comms/gnuradio/Makefile
  head/comms/quisk/Makefile
  head/comms/trustedqsl/Makefile
  head/databases/grass7/Makefile
  head/databases/pgadmin3/Makefile
  head/deskutils/treesheets/Makefile
  head/devel/py-robotframework-ride/Makefile
  head/devel/wxformbuilder/Makefile
  head/editors/codelite/Makefile
  head/editors/poedit/Makefile
  head/editors/wxhexeditor/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/pcem/Makefile
  head/emulators/playonbsd/Makefile
  head/emulators/wxmupen64plus/Makefile
  head/finance/moneymanagerex/Makefile
  head/ftp/wxdfast/Makefile
  head/games/0ad/Makefile
  head/games/freedink-dfarc/Makefile
  head/games/glest/Makefile
  head/games/golly/Makefile
  head/games/pyfa/Makefile
  head/games/springlobby/Makefile
  head/games/trenchbroom/Makefile
  head/graphics/comical/Makefile
  head/graphics/delaboratory/Makefile
  head/graphics/diff-pdf/Makefile
  head/graphics/djvusmooth/Makefile
  head/graphics/gtimelapse/Makefile
  head/graphics/panoglview/Makefile
  head/graphics/py-mayavi/Makefile
  head/graphics/py-visvis/Makefile
  head/graphics/sk1/Makefile
  head/graphics/wxsvg/Makefile
  head/lang/erlang/Makefile
  head/lang/erlang-runtime20/Makefile
  head/lang/erlang-runtime21/Makefile
  head/lang/erlang-runtime22/Makefile
  head/lang/erlang-runtime23/Makefile
  head/math/gambit/Makefile
  head/math/saga/Makefile
  head/math/sound-of-sorting/Makefile
  head/math/wxmaxima/Makefile
  head/misc/pyobd/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/libkate/Makefile
  head/multimedia/photofilmstrip/Makefile
  head/net/opennx/Makefile
  head/science/gnudatalanguage/Makefile
  head/science/wxmacmolplt/Makefile
  head/security/veracrypt/Makefile
  head/sysutils/passwordsafe/Makefile
  head/textproc/gutenmark/Makefile
  head/textproc/plover/Makefile
  head/x11-toolkits/p5-Alien-wxWidgets/Makefile
  head/x11-toolkits/p5-Alien-wxWidgets/pkg-plist
  head/x11-toolkits/py-SquareMap/Makefile
  head/x11-toolkits/py-wxPython30/Makefile
  head/x11-toolkits/py-wxPython40/Makefile
  head/x11-toolkits/wxgtk30/Makefile
  head/x11-toolkits/wxgtk30/distinfo
  head/x11-toolkits/wxgtk30/files/patch-Makefile.in
  head/x11-toolkits/wxgtk30/files/patch-configure
  head/x11-toolkits/wxgtk30/files/patch-setup.h.in
  head/x11-toolkits/wxgtk30/files/patch-src-common-translation.cpp
  head/x11-toolkits/wxgtk30/files/patch-src_unix_fswatcher__kqueue.cpp
  head/x11-toolkits/wxgtk30/files/patch-utils-wxrc-Makefile.in
  head/x11-toolkits/wxgtk30/pkg-plist
Comment 5 Loïc Bartoletti freebsd_committer 2020-05-17 06:05:25 UTC
Committed, Thanks!